complexType "ds:KeyInfoType"

Namespace: | http://www.w3.org/2000/09/xmldsig#
Content: | mixed (allows character data), 1 attribute, 7 elements, elem. wildcard
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 1 attribute, 7 elements, elem. wildcard
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
Id | = | ID
| >
Content: | {text} × (ds:KeyName | ds:KeyValue | ds:RetrievalMethod | ds:X509Data | ds:PGPData | ds:SPKIData | ds:MgmtData | {any})+
</...>

Content Model Elements (7):

  ds:KeyName, ds:KeyValue, ds:MgmtData, ds:PGPData, ds:RetrievalMethod, ds:SPKIData, ds:X509Data

All Direct / Indirect Based Elements (1):

  ds:KeyInfo

Known Usage Locations

- As direct type of elements (1):
  ds:KeyInfo

XML Source (see within schema source)

<complexType mixed="true" name="KeyInfoType"> <choice maxOccurs="unbounded"> <element ref="ds:KeyName"/> <element ref="ds:KeyValue"/> <element ref="ds:RetrievalMethod"/> <element ref="ds:X509Data"/> <element ref="ds:PGPData"/> <element ref="ds:SPKIData"/> <element ref="ds:MgmtData"/> <any namespace="##other" processContents="lax"/> <!-- (1,1) elements from (0,unbounded) namespaces --> </choice> <attribute name="Id" type="ID" use="optional"/> </complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
Id

  Type: | ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <attribute name="Id" type="ID" use="optional"/>

Content Element Detail (all declarations; defined within this component only; 8/8)
ds:KeyName

  Type: | string, predefined, simple content

  XML Source (see within schema source)

  <element ref="ds:KeyName"/>

ds:KeyValue

  Type: | ds:KeyValueType, mixed content

  XML Source (see within schema source)

  <element ref="ds:KeyValue"/>

ds:MgmtData

  Type: | string, predefined, simple content

  XML Source (see within schema source)

  <element ref="ds:MgmtData"/>

ds:PGPData

  Type: | ds:PGPDataType, complex content

  XML Source (see within schema source)

  <element ref="ds:PGPData"/>

ds:RetrievalMethod

  Type: | ds:RetrievalMethodType, complex content

  XML Source (see within schema source)

  <element ref="ds:RetrievalMethod"/>

ds:SPKIData

  Type: | ds:SPKIDataType, complex content

  XML Source (see within schema source)

  <element ref="ds:SPKIData"/>

ds:X509Data

  Type: | ds:X509DataType, complex content

  XML Source (see within schema source)

  <element ref="ds:X509Data"/>

{any element with non-schema namespace}

  XML Source (see within schema source)

  <any namespace="##other" processContents="lax"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.